package com.ruoyi.web.modules.order.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单主表 biz_order
 */
public class BizOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long orderId;

    private String orderNo;

    private Long memberId;

    private Long shopId;

    private Long merchantId;

    private String orderStatus;

    private String closeType;

    private String closeReason;

    private String payType;

    private String payStatus;

    private String tradeNo;

    private BigDecimal goodsAmount;

    private BigDecimal freightAmount;

    private BigDecimal payAmount;

    private String consigneeName;

    private String consigneeMobile;

    private String consigneeAddress;

    private String deliveryType;

    private String logisticsCompany;

    private String trackingNo;

    private String vehicleNo;

    private String courierName;

    private String courierMobile;

    private String shipRemark;

    private String shipperName;

    private String shipperMobile;

    private String shipRegionCode;

    private String shipRegionName;

    private String shipDetailAddress;

    private String memberNickName;

    private String shopName;

    private Date payTime;

    private Date shipTime;

    private Date payExpireTime;

    private Date finishTime;

    private String delFlag;

    public Long getOrderId()
    {
        return orderId;
    }

    public void setOrderId(Long orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderNo()
    {
        return orderNo;
    }

    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public Long getMemberId()
    {
        return memberId;
    }

    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public Long getMerchantId()
    {
        return merchantId;
    }

    public void setMerchantId(Long merchantId)
    {
        this.merchantId = merchantId;
    }

    public String getOrderStatus()
    {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public String getCloseType()
    {
        return closeType;
    }

    public void setCloseType(String closeType)
    {
        this.closeType = closeType;
    }

    public String getCloseReason()
    {
        return closeReason;
    }

    public void setCloseReason(String closeReason)
    {
        this.closeReason = closeReason;
    }

    public String getPayType()
    {
        return payType;
    }

    public void setPayType(String payType)
    {
        this.payType = payType;
    }

    public String getPayStatus()
    {
        return payStatus;
    }

    public void setPayStatus(String payStatus)
    {
        this.payStatus = payStatus;
    }

    public String getTradeNo()
    {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo)
    {
        this.tradeNo = tradeNo;
    }

    public BigDecimal getGoodsAmount()
    {
        return goodsAmount;
    }

    public void setGoodsAmount(BigDecimal goodsAmount)
    {
        this.goodsAmount = goodsAmount;
    }

    public BigDecimal getFreightAmount()
    {
        return freightAmount;
    }

    public void setFreightAmount(BigDecimal freightAmount)
    {
        this.freightAmount = freightAmount;
    }

    public BigDecimal getPayAmount()
    {
        return payAmount;
    }

    public void setPayAmount(BigDecimal payAmount)
    {
        this.payAmount = payAmount;
    }

    public String getConsigneeName()
    {
        return consigneeName;
    }

    public void setConsigneeName(String consigneeName)
    {
        this.consigneeName = consigneeName;
    }

    public String getConsigneeMobile()
    {
        return consigneeMobile;
    }

    public void setConsigneeMobile(String consigneeMobile)
    {
        this.consigneeMobile = consigneeMobile;
    }

    public String getConsigneeAddress()
    {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress)
    {
        this.consigneeAddress = consigneeAddress;
    }

    public String getDeliveryType()
    {
        return deliveryType;
    }

    public void setDeliveryType(String deliveryType)
    {
        this.deliveryType = deliveryType;
    }

    public String getLogisticsCompany()
    {
        return logisticsCompany;
    }

    public void setLogisticsCompany(String logisticsCompany)
    {
        this.logisticsCompany = logisticsCompany;
    }

    public String getTrackingNo()
    {
        return trackingNo;
    }

    public void setTrackingNo(String trackingNo)
    {
        this.trackingNo = trackingNo;
    }

    public String getVehicleNo()
    {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo)
    {
        this.vehicleNo = vehicleNo;
    }

    public String getCourierName()
    {
        return courierName;
    }

    public void setCourierName(String courierName)
    {
        this.courierName = courierName;
    }

    public String getCourierMobile()
    {
        return courierMobile;
    }

    public void setCourierMobile(String courierMobile)
    {
        this.courierMobile = courierMobile;
    }

    public String getShipRemark()
    {
        return shipRemark;
    }

    public void setShipRemark(String shipRemark)
    {
        this.shipRemark = shipRemark;
    }

    public String getShipperName()
    {
        return shipperName;
    }

    public void setShipperName(String shipperName)
    {
        this.shipperName = shipperName;
    }

    public String getShipperMobile()
    {
        return shipperMobile;
    }

    public void setShipperMobile(String shipperMobile)
    {
        this.shipperMobile = shipperMobile;
    }

    public String getShipRegionCode()
    {
        return shipRegionCode;
    }

    public void setShipRegionCode(String shipRegionCode)
    {
        this.shipRegionCode = shipRegionCode;
    }

    public String getShipRegionName()
    {
        return shipRegionName;
    }

    public void setShipRegionName(String shipRegionName)
    {
        this.shipRegionName = shipRegionName;
    }

    public String getShipDetailAddress()
    {
        return shipDetailAddress;
    }

    public void setShipDetailAddress(String shipDetailAddress)
    {
        this.shipDetailAddress = shipDetailAddress;
    }

    public String getMemberNickName()
    {
        return memberNickName;
    }

    public void setMemberNickName(String memberNickName)
    {
        this.memberNickName = memberNickName;
    }

    public String getShopName()
    {
        return shopName;
    }

    public void setShopName(String shopName)
    {
        this.shopName = shopName;
    }

    public Date getPayTime()
    {
        return payTime;
    }

    public void setPayTime(Date payTime)
    {
        this.payTime = payTime;
    }

    public Date getShipTime()
    {
        return shipTime;
    }

    public void setShipTime(Date shipTime)
    {
        this.shipTime = shipTime;
    }

    public Date getPayExpireTime()
    {
        return payExpireTime;
    }

    public void setPayExpireTime(Date payExpireTime)
    {
        this.payExpireTime = payExpireTime;
    }

    public Date getFinishTime()
    {
        return finishTime;
    }

    public void setFinishTime(Date finishTime)
    {
        this.finishTime = finishTime;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }
}
